> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agents.kolena.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Ground Truth Versions

> Return all versions of a Ground Truth for an Agent

export const limit_0 = 600

<Info>
  **Rate Limit:** This endpoint is limited to **{limit_0.toLocaleString()} requests per minute** per user.
</Info>


## OpenAPI

````yaml openapi.json GET /api/v1/client/agents/{agent_id}/ground_truths/{ground_truth_id}/versions
openapi: 3.1.0
info:
  title: kolena
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/client/agents/{agent_id}/ground_truths/{ground_truth_id}/versions:
    get:
      tags:
        - client
        - ground-truths
      summary: Client List Ground Truth Versions
      operationId: >-
        client_list_ground_truth_versions_api_v1_client_agents__agent_id__ground_truths__ground_truth_id__versions_get
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: integer
            title: Agent Id
        - name: ground_truth_id
          in: path
          required: true
          schema:
            type: integer
            title: Ground Truth Id
        - name: page_number
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: >-
              Optionally specify the index of the Ground Truth versions page to
              fetch.
            default: 0
            title: Page Number
          description: >-
            Optionally specify the index of the Ground Truth versions page to
            fetch.
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            description: >-
              Optionally specify the maximum number of Ground Truth versions to
              fetch.
            default: 50
            title: Page Size
          description: >-
            Optionally specify the maximum number of Ground Truth versions to
            fetch.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListGroundTruthVersionsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ListGroundTruthVersionsResponse:
      properties:
        versions:
          items:
            $ref: '#/components/schemas/ClientGroundTruth'
          type: array
          title: Versions
          description: The list of Ground Truth versions.
        total_pages:
          type: integer
          title: Total Pages
          description: >-
            The total number of pages of Ground Truth versions. Use the request
            arguments `page_number` and `page_size` to control which Ground
            Truth versions are fetched.
        page_number:
          type: integer
          minimum: 0
          title: Page Number
          description: The number of the fetched page.
          default: 0
        page_size:
          type: integer
          maximum: 1000
          exclusiveMinimum: 0
          title: Page Size
          description: The page size, i.e. number of Ground Truth versions, fetched.
          default: 50
      type: object
      required:
        - versions
        - total_pages
      title: ListGroundTruthVersionsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ClientGroundTruth:
      properties:
        id:
          type: integer
          title: Id
          description: The unique ID of the Ground Truth.
        version:
          type: integer
          title: Version
          description: The current version number of the Ground Truth.
        name:
          type: string
          title: Name
          description: The name of the Ground Truth.
        evaluation_instructions:
          type: string
          title: Evaluation Instructions
          description: Instructions used to evaluate Runs against this Ground Truth.
        runs:
          items:
            $ref: '#/components/schemas/ClientGroundTruthRun'
          type: array
          title: Runs
          description: The list of Runs that make up this Ground Truth.
      type: object
      required:
        - id
        - version
        - name
        - evaluation_instructions
        - runs
      title: ClientGroundTruth
      examples:
        - evaluation_instructions: >-
            Check if the extracted invoice number and total amount match the
            expected values exactly.
          id: 1
          name: Invoice Processing
          runs:
            - data:
                Invoice Number: INV-2025-001
                Total Amount: 1500
              user_defined_id: invoice-001
          version: 2
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ClientGroundTruthRun:
      properties:
        user_defined_id:
          type: string
          title: User Defined Id
          description: An user defined unique identifier attached to this Run.
        data:
          additionalProperties: true
          type: object
          title: Data
          description: Mapping of Prompt name to value.
      type: object
      required:
        - user_defined_id
        - data
      title: ClientGroundTruthRun
      examples:
        - data:
            Invoice Number: INV-2025-001
            Total Amount: 1500
          user_defined_id: invoice-001
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`. The `<token>`
        represents your API key, which must be acquired from the Kolena
        platform.

````